FrontBaseTemplateAction (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.dba.frontbase, class: FrontBaseTemplateAction

# Class FrontBaseTemplateAction

java.lang.Object
org.apache.cayenne.access.jdbc.SQLTemplateAction
org.apache.cayenne.dba.frontbase.FrontBaseTemplateAction

All Implemented Interfaces:
  `SQLAction`

public class FrontBaseTemplateAction extends SQLTemplateAction

Since:
  4.2

- ## Field Summary

  ### Fields inherited from class SQLTemplateAction

  `dataNode, dbAdapter, dbEntity, query, queryMetadata`
  Modifier and Type
  Field
  Description
  `protected DataNode`
  `dataNode`
  `protected DbAdapter`
  `dbAdapter`
  `protected DbEntity`
  `dbEntity`
  `protected SQLTemplate`
  `query`
  `protected QueryMetadata`
  `queryMetadata`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FrontBaseTemplateAction(SQLTemplate query, DataNode dataNode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `execute(Connection connection, OperationObserver callback, SQLStatement compiled, Collection<Number> updateCounts)`

  ### Methods inherited from class SQLTemplateAction

  `bind, configureRowDescriptorBuilder, extractTemplateString, getAdapter, getFetchOffset, getQuery, performAction, processSelectResult`
  Modifier and Type
  Method
  Description
  `protected void`
  `bind(PreparedStatement preparedStatement, ParameterBinding[] bindings)`
  Binds parameters to the PreparedStatement.
  `protected RowDescriptorBuilder`
  `configureRowDescriptorBuilder(SQLStatement compiled, ResultSet resultSet)`
  `protected String`
  `extractTemplateString()`
  Extracts a template string from a SQLTemplate query.
  `DbAdapter`
  `getAdapter()`
  Returns unwrapped DbAdapter used to find correct SQL for a given DB.
  `protected int`
  `getFetchOffset()`
  `SQLTemplate`
  `getQuery()`
  Returns a SQLTemplate for this action.
  `void`
  `performAction(Connection connection, OperationObserver callback)`
  Runs a SQLTemplate query, collecting all results.
  `protected void`
  `processSelectResult(SQLStatement compiled, Connection connection, Statement statement, ResultSet resultSet, OperationObserver callback, long startTime)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FrontBaseTemplateAction

    public FrontBaseTemplateAction(SQLTemplate query, DataNode dataNode)
    Parameters:
      `query` -
      `dataNode` -
    Since:
      4.2

- ## Method Details

  - ### execute

    protected void execute(Connection connection, OperationObserver callback, SQLStatement compiled, Collection<Number> updateCounts) throws SQLException, Exception
    Overrides:
      `execute` in class `SQLTemplateAction`
    Throws:
      `SQLException`
      `Exception`